<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Equation</title>
    <script type="text/javascript" src="drawRules.js"></script>
    <link rel="stylesheet" href="reset.css" type="text/css" media="screen, projection">
    <style>
      .button_st {
        background: none;
        border: 1px solid #CCCCCC;
        margin: 1px;
        padding: 3px;
      }

      .text_st {
        background: none;
        border: 1px solid #CCCCCC;
        margin: 1px;
        padding: 3px;
        width: 50px;
      }

      .frame_st {
        border: 1px solid #CCCCCC;
        float: left;
        margin: 2px;
        font-family: sans-serif;
        font-size: 0.8em;
        padding: 3px;
        text-align: right;
      }

      .frame_st input {
        font-size: 1em;
      }
    </style>
  </head>
  <body>
    <div>
      <form method="post">
        <div class="frame_st">
          <div>
            <div> Cell size (2 - 10): <input class="text_st" name="_cellSize" type="text" value="3" /></div>
            <div> Rule number (0 - 255): <input class="text_st" name="_ruleNumber" type="text" value="30" /></div>
            <div> Starting dots (0 = random): <input class="text_st" name="_startingDots" type="text" value="1"/></div>
            <div> Zoom (1 = 1x, 2 = 2x): <input class="text_st" name="_zoomFactor" type="text" value="1"/></div>
          </div>
          <div style="margin-top: 5px;">
            <input class="button_st" type="button" value="Start draw!" onClick="startDrawRule(_cellSize.value, _ruleNumber.value, _startingDots.value, _zoomFactor.value);" />
            <input class="button_st" type="button" value="Stop draw!" onClick="stopDrawRule();" />
            <input class="button_st" type="button" value="Draw all!" onClick="startDrawAllRules(_cellSize.value);" />
          </div>
        </div>
        <div class="frame_st">
          <div>
            <span>Canvas: w <input class="text_st" name="canvas_width" type="text" value="1200" /> h <input class="text_st" name="canvas_height" type="text" value="600" /></span>
          </div>
          <div>
            <span>Colors: f <input class="text_st" name="canvas_foreground" type="text" value="#000" /> b <input class="text_st" name="canvas_background" type="text" value="#fff" /></span>
          </div>
          <div style="margin-top: 57px;">
            <input class="button_st" type="button" value="Change" onClick="changeCanvasAttributes(canvas_width.value, canvas_height.value, canvas_foreground.value, canvas_background.value);" />
            <input class="button_st" type="button" value="Save image" onClick="saveImage();" />
          </div>
        </div>
        <div class="frame_st">
          <img id="canvasImage" alt="Save me!" height="102" />
        </div>
        <div id="execution_time" class="frame_st"></div>
      </form>
    </div>
    <br />
    <div id="canvasDiv" style="padding-top: 134px; text-align: center;"></div>
  </body>
</html>
